Bug 1419027 - Review Request: perl-Type-Tie - Tie a variable to a type constraint
Summary: Review Request: perl-Type-Tie - Tie a variable to a type constraint
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-03 13:16 UTC by Ralf Corsepius
Modified: 2017-02-24 09:05 UTC (History)
2 users (show)

Fixed In Version: perl-Type-Tie-0.009-2.fc26 perl-Type-Tie-0.009-2.fc25 perl-Type-Tie-0.009-2.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-24 09:05:06 UTC
Type: ---
jplesnik: fedora-review+


Attachments (Terms of Use)

Description Ralf Corsepius 2017-02-03 13:16:18 UTC
Spec URL: https://corsepiu.fedorapeople.org/packages/perl-Type-Tie.spec
SRPM URL: https://corsepiu.fedorapeople.org/packages/perl-Type-Tie-0.009-1.fc26.src.rpm
Description:
This module exports a single function: ttie. ttie ties a variable to a
type constraint, ensuring that whatever values stored in the variable
will conform to the type constraint. If the type constraint has
coercions, these will be used if necessary to ensure values assigned to
the variable conform.

Fedora Account System Username: corsepiu

Comment 1 Jitka Plesnikova 2017-02-03 14:53:49 UTC
Source file is ok
Summary is ok
Description is ok
URL and Source0 are ok
All tests passed

BuildRequires 
FIX: Please remove duplicity in BR unversioned 'perl(Exporter::Tiny)'
FIX: Please add build-requires:
  - perl(Moose::Util::TypeConstraints) - t/02moosextypes.t:32
  - perl(constant) - t/04nots.t:32

$ rpm -qp --requires perl-Type-Tie-0.009-1.fc26.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.24.1)
      1 perl(:VERSION) >= 5.8.5
      1 perl(Carp)
      1 perl(Exporter::Tiny)
      1 perl(Tie::Array)
      1 perl(Tie::Hash)
      1 perl(Tie::Scalar)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1

FIX: Please add run-require 'perl(Data::Dumper)' - Tie.pm:100

$ rpm -qp --provides perl-Type-Tie-0.009-1.fc26.noarch.rpm | sort | uniq -c
      1 perl(Type::Tie) = 0.009
      1 perl(Type::Tie::ARRAY) = 0.009
      1 perl(Type::Tie::BASE) = 0.009
      1 perl(Type::Tie::HASH) = 0.009
      1 perl(Type::Tie::SCALAR) = 0.009
      1 perl-Type-Tie = 0.009-1.fc26
Binary provides are Ok.

$ rpmlint ./perl-Type-Tie*
perl-Type-Tie.noarch: W: spelling-error %description -l en_US ttie -> tie, t tie
perl-Type-Tie.noarch: W: spelling-error %description -l en_US coercions -> coercion, coercion's, coercion s
perl-Type-Tie.src: W: spelling-error %description -l en_US ttie -> tie, t tie
perl-Type-Tie.src: W: spelling-error %description -l en_US coercions -> coercion, coercion's, coercion s
2 packages and 1 specfiles checked; 0 errors, 4 warnings.

Rpmlint is ok

License - most of the files are under "GPL+ or Artistic". However,
COPYRIGHT has different license. See COPYRIGHT:29-33
FIX: Please add license 'Public Domain'

Please correct all 'FIX' issues and provide new spec file.

Otherwise package looks good.
Not approved.

Comment 2 Ralf Corsepius 2017-02-03 15:38:41 UTC
(In reply to Jitka Plesnikova from comment #1)
> Source file is ok
> Summary is ok
> Description is ok
> URL and Source0 are ok
> All tests passed
> 
> BuildRequires 
> FIX: Please remove duplicity in BR unversioned 'perl(Exporter::Tiny)'
> FIX: Please add build-requires:
>   - perl(Moose::Util::TypeConstraints) - t/02moosextypes.t:32
>   - perl(constant) - t/04nots.t:32

Done.

> $ rpm -qp --requires perl-Type-Tie-0.009-1.fc26.noarch.rpm | sort | uniq -c
>       1 perl(:MODULE_COMPAT_5.24.1)
>       1 perl(:VERSION) >= 5.8.5
>       1 perl(Carp)
>       1 perl(Exporter::Tiny)
>       1 perl(Tie::Array)
>       1 perl(Tie::Hash)
>       1 perl(Tie::Scalar)
>       1 perl(strict)
>       1 perl(warnings)
>       1 rpmlib(CompressedFileNames) <= 3.0.4-1
>       1 rpmlib(FileDigests) <= 4.6.0-1
>       1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
>       1 rpmlib(PayloadIsXz) <= 5.2-1
> 
> FIX: Please add run-require 'perl(Data::Dumper)' - Tie.pm:100
Done, but ... shall I file a bug against perl-generators?

> License - most of the files are under "GPL+ or Artistic". However,
> COPYRIGHT has different license. See COPYRIGHT:29-33
> FIX: Please add license 'Public Domain'
No, I not going to do this.

This perl-dist is clearly licenced "Perl" (== GPL+ or Artistic), using the "Perl" license as an umbrella to files under other compatible licenses (c.f. README). The fact it also contains files licensed PD is irrelevant.

Update:
Spec URL: https://corsepiu.fedorapeople.org/packages/perl-Type-Tie.spec
SRPM URL: https://corsepiu.fedorapeople.org/packages/perl-Type-Tie-0.009-2.fc26.src.rpm

Comment 3 Jitka Plesnikova 2017-02-06 07:50:10 UTC
> > BuildRequires 
> > FIX: Please remove duplicity in BR unversioned 'perl(Exporter::Tiny)'
> > FIX: Please add build-requires:
> >   - perl(Moose::Util::TypeConstraints) - t/02moosextypes.t:32
> >   - perl(constant) - t/04nots.t:32
> 
> Done.
-BuildRequires:  perl(Exporter::Tiny)
+BuildRequires:  perl(Moose::Util::TypeConstraints)
+BuildRequires:  perl(constant)
Ok. 

 
> > $ rpm -qp --requires perl-Type-Tie-0.009-1.fc26.noarch.rpm | sort | uniq -c
> >       1 perl(:MODULE_COMPAT_5.24.1)
> >       1 perl(:VERSION) >= 5.8.5
> >       1 perl(Carp)
> >       1 perl(Exporter::Tiny)
> >       1 perl(Tie::Array)
> >       1 perl(Tie::Hash)
> >       1 perl(Tie::Scalar)
> >       1 perl(strict)
> >       1 perl(warnings)
> >       1 rpmlib(CompressedFileNames) <= 3.0.4-1
> >       1 rpmlib(FileDigests) <= 4.6.0-1
> >       1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
> >       1 rpmlib(PayloadIsXz) <= 5.2-1
> > 
> > FIX: Please add run-require 'perl(Data::Dumper)' - Tie.pm:100
> Done, but ... shall I file a bug against perl-generators?
+Requires:       perl(Data::Dumper)
Ok.
The require statements with whitespace prefix give some false positives, because they are usually inside of an if/eval statement. That's the reason, why they are ignores. BTW, there is BZ#674052 for it.


> > License - most of the files are under "GPL+ or Artistic". However,
> > COPYRIGHT has different license. See COPYRIGHT:29-33
> > FIX: Please add license 'Public Domain'
> No, I not going to do this.
> 
> This perl-dist is clearly licenced "Perl" (== GPL+ or Artistic), using the
> "Perl" license as an umbrella to files under other compatible licenses (c.f.
> README). The fact it also contains files licensed PD is irrelevant.
Ok.

Approved

Comment 4 Gwyn Ciesla 2017-02-09 13:07:50 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-Type-Tie


Note You need to log in before you can comment on or make changes to this bug.